List payout records for a given affiliate (by customerId), paginated.
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/affiliates/{customerId}/payouts/{page} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}/affiliates/{customerId}/payouts/{page}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}/affiliates/{customerId}/payouts/{page}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"pages": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"affiliateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"convertedToStoreCredit": true,
"initiatedByIp": "<string>",
"isVoided": true,
"comment": "<string>",
"initiatedByUserId": "<string>",
"voidDate": "2023-11-07T05:31:56Z",
"voidedByUserId": "<string>",
"voidReason": "<string>"
}
]
}Affiliates
List Affiliate Payouts
Requires the stores.affiliates.view permission.
GET
/
stores
/
{storeId}
/
affiliates
/
{customerId}
/
payouts
/
{page}
List payout records for a given affiliate (by customerId), paginated.
Authorizations
Your API key goes here
Path Parameters
Query Parameters
Response
200 - application/json
The object was successfully returned.
Represents a paginated response returned from API endpoints, which contains the paginated data and metadata about the pagination.
Last modified on April 6, 2026
⌘I